/*
    Copyright (C) 2001-2003 KSVG Team
    This file is part of the KDE project

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.
*/

#ifndef SVGTransformable_H
#define SVGTransformable_H

#include "SVGLocatable.h"

namespace KSVG
{

class SVGAnimatedTransformList;
class SVGTransformableImpl;
class SVGTransformable : public SVGLocatable
{ 
public:
	SVGTransformable(const SVGTransformable &other);
	SVGTransformable &operator=(const SVGTransformable &other);
	SVGTransformable(SVGTransformableImpl *other);
	virtual ~SVGTransformable();
	
	SVGAnimatedTransformList transform();

	// Internal! - NOT PART OF THE SVG SPECIFICATION
	SVGTransformableImpl *handle() const { return impl; }

protected:
	SVGTransformable();

private:
	SVGTransformableImpl *impl;
};

};

#endif

// vim:ts=4:noet
